OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapOfPDExternFile Class Reference

`#include <STEPCAFControl_DataMapOfPDExternFile.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPCAFControl_DataMapOfPDExternFile (const Standard_Integer NbBuckets=1)
Standard_EXPORT STEPCAFControl_DataMapOfPDExternFile & | Assign (const STEPCAFControl_DataMapOfPDExternFile &Other)
STEPCAFControl_DataMapOfPDExternFile & | operator= (const STEPCAFControl_DataMapOfPDExternFile &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~STEPCAFControl_DataMapOfPDExternFile ()
Standard_EXPORT Standard_Boolean | Bind (const Handle(StepBasic_ProductDefinition)&K, const Handle(STEPCAFControl_ExternFile)&I)
Standard_EXPORT Standard_Boolean | IsBound (const Handle(StepBasic_ProductDefinition)&K) const
Standard_EXPORT Standard_Boolean | UnBind (const Handle(StepBasic_ProductDefinition)&K)
Standard_EXPORT const Handle_STEPCAFControl_ExternFile & | Find (const Handle(StepBasic_ProductDefinition)&K) const
const Handle_STEPCAFControl_ExternFile & | operator() (const Handle(StepBasic_ProductDefinition)&K) const
Standard_EXPORT Handle_STEPCAFControl_ExternFile & | ChangeFind (const Handle(StepBasic_ProductDefinition)&K)
Handle_STEPCAFControl_ExternFile & | operator() (const Handle(StepBasic_ProductDefinition)&K)
## Private Member Functions
Standard_EXPORT | STEPCAFControl_DataMapOfPDExternFile (const STEPCAFControl_DataMapOfPDExternFile &Other)

## Constructor & Destructor Documentation

Standard_EXPORT STEPCAFControl_DataMapOfPDExternFile::STEPCAFControl_DataMapOfPDExternFile | ( | const Standard_Integer | NbBuckets = `1` | ) |

STEPCAFControl_DataMapOfPDExternFile::~STEPCAFControl_DataMapOfPDExternFile | ( |  | ) | `[inline]`

Standard_EXPORT STEPCAFControl_DataMapOfPDExternFile::STEPCAFControl_DataMapOfPDExternFile | ( | const STEPCAFControl_DataMapOfPDExternFile & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT STEPCAFControl_DataMapOfPDExternFile& STEPCAFControl_DataMapOfPDExternFile::Assign | ( | const STEPCAFControl_DataMapOfPDExternFile & | Other | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfPDExternFile::Bind | ( | const Handle(StepBasic_ProductDefinition)& | K,
|  | const Handle(STEPCAFControl_ExternFile)& | I
| ) |

Standard_EXPORT Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfPDExternFile::ChangeFind | ( | const Handle(StepBasic_ProductDefinition)& | K | ) |

Standard_EXPORT void STEPCAFControl_DataMapOfPDExternFile::Clear | ( |  | ) |

Standard_EXPORT const Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfPDExternFile::Find | ( | const Handle(StepBasic_ProductDefinition)& | K | ) | const

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfPDExternFile::IsBound | ( | const Handle(StepBasic_ProductDefinition)& | K | ) | const

void STEPCAFControl_DataMapOfPDExternFile::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPCAFControl_DataMapOfPDExternFile::operator new | ( | size_t | size | ) | `[inline]`

void* STEPCAFControl_DataMapOfPDExternFile::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfPDExternFile::operator() | ( | const Handle(StepBasic_ProductDefinition)& | K | ) | `[inline]`

const Handle_STEPCAFControl_ExternFile& STEPCAFControl_DataMapOfPDExternFile::operator() | ( | const Handle(StepBasic_ProductDefinition)& | K | ) | const`[inline]`

STEPCAFControl_DataMapOfPDExternFile& STEPCAFControl_DataMapOfPDExternFile::operator= | ( | const STEPCAFControl_DataMapOfPDExternFile & | Other | ) | `[inline]`

Standard_EXPORT void STEPCAFControl_DataMapOfPDExternFile::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean STEPCAFControl_DataMapOfPDExternFile::UnBind | ( | const Handle(StepBasic_ProductDefinition)& | K | ) |

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapOfPDExternFile.hxx